Pagina 5 di 5 primaprima ... 3 4 5
Visualizzazione dei risultati da 41 a 50 su 50
  1. #41
    Utente di HTML.it
    Registrato dal
    Sep 2002
    Messaggi
    57
    in realtà mi sto connettendo con pagine ASP e non PHP, ma sull'altro forum non mi risponde nessuno ^_*
    Zeno

  2. #42
    Utente di HTML.it L'avatar di gianiaz
    Registrato dal
    May 2001
    Messaggi
    8,049
    Purtroppo con asp non ti posso aiutare, ma probabilmente ci sarà una soluzione simile.

    Come credo sia spiegato nei precedenti post, il punto è che a un certo punto è cambiato l'algoritmo di crittazione delle password per migrare ad uno più sicuro.
    Sulle vecchie versioni di php che non hanno l'estensione mysqli per far funzionare il tutto bisogna usare il vecchio metodo.
    Per le nuove versioni invece non è più necessario.
    Probabilmente anche per asp esiste questa possibilità, e ovviamente chi ti ha venduto l'hosting (sempre che sia lo stesso fornitore del mysql) dovrebbe aver installato questi nuovi drivers.



  3. #43
    Utente di HTML.it
    Registrato dal
    Sep 2002
    Messaggi
    57
    oki grazie mille: gentilissimo
    Zeno

  4. #44
    Sono disperato. Ho pubblicato un sito in php in host e ottengo questo errore. Non ho la possibilità di connettermi tramite linea di comando ed eseguendo le istruzioni spiegate in questa pillola da phpmyadmin ho degli errori.

    Help! Ho buttato via un prezioso pomeriggio per colpa di quel cacchio di host!

  5. #45
    Utente di HTML.it L'avatar di gianiaz
    Registrato dal
    May 2001
    Messaggi
    8,049
    che versione di php c'è?
    hai a disposizione mysqli?

    ciao

  6. #46
    Originariamente inviato da gianiaz
    che versione di php c'è?
    hai a disposizione mysqli?

    ciao
    La versione di php è la 5.1.6
    Versione MySQL: 5.0.51a-community-log

    Come faccio a sapere se ho a disposizione mysqli? Qui c'è il phpinfo

  7. #47
    Originariamente inviato da !!\Freedom9/!!
    La versione di php è la 5.1.6
    Versione MySQL: 5.0.51a-community-log

    Come faccio a sapere se ho a disposizione mysqli? Qui c'è il phpinfo
    se stai usando queste versioni non dovresti avere alcun problema del genere descritto in questo thread.

    non hai mysqli e anche se lo avessi non avrebbe nulla da tangere con il formato della password dello user.

    Il silenzio è spesso la cosa migliore. Pensa ... è gratis.

  8. #48
    Originariamente inviato da piero.mac
    se stai usando queste versioni non dovresti avere alcun problema del genere descritto in questo thread.

    non hai mysqli e anche se lo avessi non avrebbe nulla da tangere con il formato della password dello user.
    Grazie per l'aiuto che mi state dando anche se è sabato sera! Eppure, connettendomi con questo codice

    Codice PHP:
    $db_username='fihioh27_fihioh';
    $db_password='******';
    $db_host='mysql5.hostek.it';
    $db=mysql_connect("$db_host","$db_username","$db_password") or die(mysql_error()); 
    $db_select mysql_selectdb("fihioh27_payperletter") or die(mysql_error()); 

    ho proprio questo errore

    Client does not support authentication protocol requested by server; consider upgrading MySQL client.

  9. #49
    da come descrivi la cosa pare sia un errore del provider.

    Attenzione: tu usi php 5.1.6 e quindi dovresti trovare installato il client relativo a mysql 5.0.51

    Tu invece ti trovi il client, visibile nel phpinfo:

    Client API version 4.0.25

    che crea ancora l'hash della password a 32 digit, mentre il client relativo a mysql 5.0.51 crea un hash a 40 digit. Questo e' il tuo problema.

    Non ho idea se e' fatto appositamente oppure sia un semplice errore di dimenticanza dell'aggiornamento del client. Di fatto se il client e' in versione 4.0 allora la password sul db di versione 5.0 deve per forza essere memorizzata con la funzione OLD_PASSWORD() che crea un l'hash a 32 digit compatibile con la versione del client.

    Il silenzio è spesso la cosa migliore. Pensa ... è gratis.

  10. #50
    Originariamente inviato da piero.mac
    da come descrivi la cosa pare sia un errore del provider.

    Attenzione: tu usi php 5.1.6 e quindi dovresti trovare installato il client relativo a mysql 5.0.51

    Tu invece ti trovi il client, visibile nel phpinfo:

    Client API version 4.0.25

    che crea ancora l'hash della password a 32 digit, mentre il client relativo a mysql 5.0.51 crea un hash a 40 digit. Questo e' il tuo problema.

    Non ho idea se e' fatto appositamente oppure sia un semplice errore di dimenticanza dell'aggiornamento del client. Di fatto se il client e' in versione 4.0 allora la password sul db di versione 5.0 deve per forza essere memorizzata con la funzione OLD_PASSWORD() che crea un l'hash a 32 digit compatibile con la versione del client.
    Bene! Allora per colpa del provider butto via tutto il fine settimana. Immagino infatti che non ci sia un escamotage, non potendo accedere all'host da riga di comando. Giusto?
    Devo aspettare che facciano loro l'aggiornamento?

Permessi di invio

  • Non puoi inserire discussioni
  • Non puoi inserire repliche
  • Non puoi inserire allegati
  • Non puoi modificare i tuoi messaggi
  •  
Powered by vBulletin® Version 4.2.1
Copyright © 2020 vBulletin Solutions, Inc. All rights reserved.